# The ReflectionNamedType class

(PHP 7 >= 7.1.0)

## Introduction

## Class synopsis

ReflectionNamedType extends ReflectionType {
/* Methods */
public getName ( void ) : string
/* Inherited methods */
public ReflectionType::allowsNull ( void ) : bool
public ReflectionType::isBuiltin ( void ) : bool
public ReflectionType::__toString ( void ) : string
}

## Table of Contents

- ReflectionNamedType::getName — Get the text of the type hint